# QTERM

QTERM is a terminal program which provides the following:

* Capture of text files
* Send text files to remote
* Xmodem / Modem7 / Ymodem protocol transfer
* Kermit protocol transfer
* VT100 emulation
* Split screen mode to separate typed and received text
* Script mechanism for automatic dialing and automation of other operations
* Transfer of text to printer
* Full user area support

(c) David Goodenough

It also has a huge advantage (at least for me, Anna) over KERMIT: It does not strip the 8th bit from received characters, so using a VT100 ANSI compatible terminal, you can just log into Telnet BBSes and see the full glory of ANSI/ASCII BBS graphics :)

## RC2014 patch

The RC2014 patch is created by Anna Christina Naß.
It is based on the IMSAI8080 patch by Udo Munk, the SIO initialization code by Steve Cousins and the XMODEM patch for RomWBW by Wayne Warthen.

At the moment, the patches provided here are tested on a RC2014 running RomWBW and using 2x SC104 serial ports (SIO/2).

If you start from QTERM43F.LBR, the patches are applied using `ZSM` and `ZPATCH`, which are included in `QTERM84F.LBR`.
To assemble the patch, use:

    ZSM QT-RCxx.Z

This creates QT-RCxx.O, which then has to be applied to the .COM file:

    ZPATCH QTERM43F QT-RCxx

Now QTERM43F.COM has the patch applied and should be ready to use.

## Using

The patches (and the final .COM files provided here) work either with the second serial port on a SIO/2 card (base address 0x82) or on the first serial port on a second SIO/2 card (base address 0x84) - hence the naming of the files.

So for a RC2014 with one SIO/2 card, `QTERM82.COM` (and the patch file `QT-RC82.Z`) should work.

The escape key is `^Y`, so to get help, just press `^Y` and `?` in sequence.

## Details

When started, the patch initializes the serial port and it should "just work".

When exiting QTERM, the "uninitialization" routine is running, which calls the RomWBW function for "Reset with current settings".

I don't know (yet) what will happen on a RC2014 with the default ROM or with SCM.
If you have problems, you can change the patch file:
In the part:

	.org    0x0273  ;exit subroutine
	exit:   jp      uninit

change the `exit:` line into:
	exit:	ret

so the un-initialization routine won't be called.
You can then also remove the `uninit:` routine at the bottom of the code.

But then, other programs that will use the same serial port (e.g. KERMIT) won't run correctly until you reboot your system.

